Open SCAP Library

Data Structures | Typedefs | Functions
oval_sysEnt.c File Reference

Open Vulnerability and Assessment Language. More...

`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include "oval_agent_api_impl.h"`
`#include "oval_system_characteristics_impl.h"`
`#include "adt/oval_collection_impl.h"`
`#include "oval_parser_impl.h"`
`#include "oval_definitions_impl.h"`
`#include "common/util.h"`
`#include "common/debug_priv.h"`
`#include "common/elements.h"`

## Data Structures
struct | oval_sysent

## Typedefs
typedef struct oval_sysent | oval_sysent_t

## Functions
struct oval_sysent * | oval_sysent_new (struct oval_syschar_model *model)
struct oval_sysent * | oval_sysent_clone (struct oval_syschar_model *new_model, struct oval_sysent *old_item)
void | oval_sysent_free (struct oval_sysent *sysent)
bool | oval_sysent_iterator_has_more (struct oval_sysent_iterator *oc_sysent)
struct oval_sysent * | oval_sysent_iterator_next (struct oval_sysent_iterator *oc_sysent)
void | oval_sysent_iterator_free (struct oval_sysent_iterator *oc_sysent)
char * | oval_sysent_get_name (struct oval_sysent *sysent)
oval_syschar_status_t | oval_sysent_get_status (struct oval_sysent *sysent)
char * | oval_sysent_get_value (struct oval_sysent *sysent)
struct oval_record_field_iterator * | oval_sysent_get_record_fields (struct oval_sysent *sysent)
oval_datatype_t | oval_sysent_get_datatype (struct oval_sysent *sysent)
int | oval_sysent_get_mask (struct oval_sysent *sysent)
void | oval_sysent_set_name (struct oval_sysent *sysent, char *name)
void | oval_sysent_set_status (struct oval_sysent *sysent, oval_syschar_status_t status)
void | oval_sysent_set_datatype (struct oval_sysent *sysent, oval_datatype_t datatype)
void | oval_sysent_set_mask (struct oval_sysent *sysent, int mask)
void | oval_sysent_set_value (struct oval_sysent *sysent, char *value)
void | oval_sysent_add_record_field (struct oval_sysent *sysent, struct oval_record_field *rf)
int | oval_sysent_parse_tag (xmlTextReaderPtr reader, struct oval_parser_context *context, oval_sysent_consumer consumer, void *user)
void | oval_sysent_to_dom (struct oval_sysent *sysent, xmlDoc *doc, xmlNode *parent)

## Detailed Description

Open Vulnerability and Assessment Language.

See more details at http://oval.mitre.org/